2019-08-21 07:27 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005671Spring engineLuapublic2017-07-24 17:50
Reportersprung 
Assigned ToKloot 
PrioritylowSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version103.0 +git 
Target VersionFixed in Version 
Summary0005671: Add offscreen parameter in `IsAbove` callin (similar to 0005311)
DescriptionThe "x/y reported as middle of the screen when offscreen" from 0005311 also exists in the `IsAbove` callin. This is a request to add a similar third parameter there as well.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0018113

Kloot (developer)

A simpler solution (and less work) would be to just not call IsAbove when the mouse is offscreen.

~0018118

silentwings (reporter)

An even simpler solution might be to not have a "fake" mouse in the middle of the screen when the mouse is actually off-screen ;)

~0018121

Kloot (developer)

that is done for reasons: https://github.com/spring/spring/blob/develop/rts/System/Input/MouseInput.cpp#L82

~0018122

Kloot (developer)

Fix bc9bb4d37eef08eac8c2801a7c27e7093c09e9b0 committed to develop branch: fix 0005671, repo: spring changeset id: 8543
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2017-07-23 04:08 sprung New Issue
2017-07-23 17:25 Kloot Note Added: 0018113
2017-07-24 05:24 silentwings Note Added: 0018118
2017-07-24 10:10 Kloot Note Added: 0018121
2017-07-24 17:50 Kloot Changeset attached => spring develop bc9bb4d3
2017-07-24 17:50 Kloot Note Added: 0018122
2017-07-24 17:50 Kloot Assigned To => Kloot
2017-07-24 17:50 Kloot Status new => resolved
2017-07-24 17:50 Kloot Resolution open => fixed
+Issue History